#!/usr/bin/env python
# -- coding: utf-8 --
import os
import shutil
from distutils.core import setup, Extension, Distribution
from distutils.command.build import build
from distutils.command.install import install

jukepath = 'src/juke/'

class my_build(build):
	def run(self):
		if not os.path.exists(jukepath+'jukebox.o'):
			os.system('g++ -I. -fpic -c ' + jukepath + 'jukebox.cpp -o ' + jukepath + 'jukebox.o')


		build.run(self)


		

args = {}
args['cmdclass'] = { 'build': my_build }

setup(	name = 'musicquizz',
	version = '0.2',
	url = 'http://musicquizz.aditel.org/',
	author = 'Musicquizz team',
	author_email = 'tarragon@aditel.org, victorm@aditel.org, wviana@aditel.org',
	license = 'GPL',
	data_files=[('share/musicquizz/images',['src/images/add.png','src/images/remove.png','src/images/fileopen.png'])],
	packages = ['musicquizz'],
	package_dir = {'musicquizz': 'src'},
	scripts = ['scripts/musicquizz'],
	ext_modules = [Extension(	name = 'musicquizz._Jukebox',
					sources = [jukepath+'PyJukebox.cpp'],
					extra_objects = [jukepath+'jukebox.o'],
		  			libraries = ['xine'],
		       			include_dirs = [jukepath] )],
	**args
)

